<template>
  <div class="my_domain__full_email">
    <div class="title my_domain__title">Your full email address</div>
    <div class="d-flex flex-wrap" variant="primary">
      <div>
        <b-input-group size="lg"  :append="`@${custom_domain}`">
          <validation-element
            ref="email"
            placeholder="myemail"
            customInputClass="input_blue mr-0"
            name="email"
            rules="required"
            v-model="value"
            @validate="valid = $event"
          />
         </b-input-group>
      </div>
      <Button
        title="Save"
        :loading="loading"
        :disabled="!valid"
        @onClick="$emit('next', `${value}@${custom_domain}`)"
      />
    </div>
  </div>
</template>

<script>
import Button from '@/components/elements/ButtonLoader.vue'
import ValidationElement from '@/components/elements/ValidationElement.vue'
export default {
    props: ['loading', 'fromEmail'],
    components: {
        Button,
        ValidationElement,
    },
    data() {
        return {
            value: null,
            valid: false,
        }
    },
    computed: {
      custom_domain() {
        return this.$store.state.shop.shop.custom_domain
      }
    },
    created() {
      this.value = this.fromEmail.includes(this.custom_domain) ? this.fromEmail.split(`@${this.custom_domain}`)[0] : ''
    }
}
</script>


<style scoped lang="scss">
@import "../../../../../../css/settings/index.scss";
@media(max-width: 500px) {

}
::v-deep .input_blue {
  height: 52px!important;
} 
@media(min-width: 620px) {
  .btn {
    margin-left: 17px;
  }
  ::v-deep .input_blue {
    width: 245px!important;
  } 
}


::v-deep {
  .input-group {
    align-items: flex-start;
    flex-wrap: nowrap;
  }
  .input-group-lg > .form-control, .input-group-lg > .custom-select, .input-group-lg > .input-group-prepend > .input-group-text, .input-group-lg > .input-group-append > .input-group-text, .input-group-lg > .input-group-prepend > .btn, .input-group-lg > .input-group-append > .btn {
    font-size: 14px;
    height: 52px;
    min-width: 142px;
  }
}
</style>